local GearEvaluator = _G.GearEvaluator
local GearEvaluator_Outfitter = GearEvaluator:NewModule("Outfitter", "AceEvent-3.0")

function GearEvaluator_Outfitter:OnInitialize()
  local defaults = {}

  self.db = GearEvaluator.db:RegisterNamespace("Outfitter", defaults)
end

function GearEvaluator_Outfitter:OnEnable()
  self:RegisterMessage("GEAREVALUATOR_BESTSCOREFOUND", "BestScoreFound")
end

function GearEvaluator_Outfitter:OnDisable()
  self:UnregisterMessage("GEAREVALUATOR_BESTSCOREFOUND")
end

function GearEvaluator_Outfitter:BestScoreFound(event, evalname, score, gear)
  if (Outfitter) then
    local outfit = Outfitter:FindOutfitByName(evalname)

    if (outfit) then
      GearEvaluator:Print("Updating outfit for '"..evalname.."'")

      outfit:DisableAllSlots()

      for _, slot in pairs(GearEvaluator.GetActiveSlotNames()) do
        local item = gear[slot]
        outfit:AddItem(slot, Outfitter:GetItemInfoFromLink(item or ''))
      end
    end
  end
end
